BatchGetPentestJobs - AWS Security Agent

BatchGetPentestJobs

Retrieves information about one or more pentest jobs in an agent space.

Request Syntax

POST /BatchGetPentestJobs HTTP/1.1 Content-type: application/json { "agentSpaceId": "string", "pentestJobIds": [ "string" ] }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

agentSpaceId

The unique identifier of the agent space that contains the pentest jobs.

Type: String

Required: Yes

pentestJobIds

The list of pentest job identifiers to retrieve.

Type: Array of strings

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "notFound": [ "string" ], "pentestJobs": [ { "actors": [ { "authentication": { "providerType": "string", "value": "string" }, "description": "string", "identifier": "string", "uris": [ "string" ] } ], "allowedDomains": [ { "uri": "string" } ], "codeRemediationStrategy": "string", "createdAt": "string", "documents": [ { "artifactId": "string", "s3Location": "string" } ], "endpoints": [ { "uri": "string" } ], "errorInformation": { "code": "string", "message": "string" }, "excludePaths": [ { "uri": "string" } ], "excludeRiskTypes": [ "string" ], "executionContext": [ { "context": "string", "contextType": "string", "timestamp": "string" } ], "integratedRepositories": [ { "integrationId": "string", "providerResourceId": "string" } ], "logConfig": { "logGroup": "string", "logStream": "string" }, "networkTrafficConfig": { "customHeaders": [ { "name": "string", "value": "string" } ], "rules": [ { "effect": "string", "networkTrafficRuleType": "string", "pattern": "string" } ] }, "overview": "string", "pentestId": "string", "pentestJobId": "string", "serviceRole": "string", "sourceCode": [ { "s3Location": "string" } ], "status": "string", "steps": [ { "createdAt": "string", "name": "string", "status": "string", "updatedAt": "string" } ], "title": "string", "updatedAt": "string", "vpcConfig": { "securityGroupArns": [ "string" ], "subnetArns": [ "string" ], "vpcArn": "string" } } ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

notFound

The list of pentest job identifiers that were not found.

Type: Array of strings

pentestJobs

The list of pentest jobs that were found.

Type: Array of PentestJob objects

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: